/*	Change these bases on your system needs.  Make the arrays
	as small as possible to conserve memory.  MAXPORTS is how many
	modems, etc. you have.  MAXUSER is obvious.  MAXLOGIN is the
	maximum number of logins by any one user in a single parsed log
	file.
*/	

#define MAXPORTS 32
#define MAXUSERS 1000
#define MAXLOGIN 300

/*	Change these based on what your path is and/or where the
	programs are located.  Careful to leave spaces after the
	strings where they are now.
*/

#define PSCMD "/bin/ps -p "
#define KILLCMD "kill "

/*	Change this based on what your path is and/or where the
	'ls' program is located as well as where pppd is putting
	it's PID file.  It might be under /etc/ on some systems.
*/

#define LSCMD "ls -l /var/run/"

/*	END USER CONFIGURATION 	    */

typedef struct {
   char info[MAXLOGIN][80];
   int	sbyte_count; 
   int	rbyte_count; 
   int	online_count; 
   int	access_count; 
} usrall;

typedef struct {
   int	sbyte_count; 
   int	rbyte_count; 
   int	online_count; 
   int	access_count; 
} usrsum;
